### New Code Utils

Basic components for the development of NewCode_

### Requirements

1. Install pip current

### Install

``` bash
pip install NewCode-Utils
```

Quick start
-----------
``` bash

1. Add "NewCode_utils" to your INSTALLED_APPS setting like this::
INSTALLED_APPS = [
        ...
        'NewCode_utils',
    ]
```

### Components

* Admin
    * AuditAdmin
    * AuditStackedInline
    * AuditTabularInline
* Models
    * Audit
* Helpers
    * Utils
        * File departments of columbia
    * Utils permission rest

### Deploy pypi versions

* install requirements

``` bash
pip install -U twine wheel setuptools
```

* update repository

``` bash
python3.7 setup.py sdist bdist_wheel
twine check dist/*
twine upload --repository pypi dist/NewCode-Utils-1.0.8*
```


